[arch-commits] Commit in postgresql/repos (4 files)

Daniel Griffiths dgriffiths at archlinux.org
Thu Feb 11 00:03:00 UTC 2010


    Date: Wednesday, February 10, 2010 @ 19:03:00
  Author: dgriffiths
Revision: 68143

Merged revisions 68142 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/postgresql/trunk

........
  r68142 | dgriffiths | 2010-02-10 18:02:45 -0600 (Wed, 10 Feb 2010) | 2 lines
  
  FS#12432
........

Modified:
  postgresql/repos/extra-x86_64/	(properties)
  postgresql/repos/extra-x86_64/PKGBUILD
  postgresql/repos/extra-x86_64/postgresql
  postgresql/repos/extra-x86_64/postgresql.confd

------------------+
 PKGBUILD         |   43 ++++++++++++++++++++++---------------------
 postgresql       |    2 +-
 postgresql.confd |    3 ++-
 3 files changed, 25 insertions(+), 23 deletions(-)


Property changes on: postgresql/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /postgresql/trunk:1-62223
   + /postgresql/trunk:1-68142

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-02-11 00:02:45 UTC (rev 68142)
+++ extra-x86_64/PKGBUILD	2010-02-11 00:03:00 UTC (rev 68143)
@@ -3,19 +3,19 @@
 
 pkgname=postgresql
 pkgver=8.4.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A sophisticated object-relational DBMS"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://www.postgresql.org"
 license=('BSD')
 backup=('etc/conf.d/postgresql' 'etc/pam.d/postgresql')
-url="http://www.postgresql.org/"
-depends=("postgresql-libs>=$pkgver" "libxml2" 'readline>=6.0')
+depends=("postgresql-libs>=${pkgver}" "libxml2" 'readline>=6.0')
 options=('!makeflags')
 source=(ftp://ftp.postgresql.org/pub/source/v${pkgver}/postgresql-${pkgver}.tar.bz2 \
         postgresql postgresql.confd build.patch postgresql.pam)
 
 build() {
-  cd ${startdir}/src/$pkgname-$pkgver || return 1
+  cd ${srcdir}/${pkgname}-${pkgver} || return 1
 
   # patch to remove regress/test make target (won't build with it present)
   patch -Np1 -i ../build.patch || return 1
@@ -31,43 +31,44 @@
   make || return 1
 
   # install
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
   (
   cd contrib/adminpack;
   make || return 1;
-  make DESTDIR=${startdir}/pkg install || return 1;
+  make DESTDIR=${pkgdir} install || return 1;
   );
 
 
   # clean up unneeded installed items
-  rm -rf $startdir/pkg/usr/include/postgresql/internal || return 1
-  rm -rf $startdir/pkg/usr/include/libpq || return 1
+  rm -rf ${pkgdir}/usr/include/postgresql/internal || return 1
+  rm -rf ${pkgdir}/usr/include/libpq || return 1
   # the below line is expected to produce an error; fix this one day
-  rm -f $startdir/pkg/usr/include/*
-  rm -f $startdir/pkg/usr/bin/pg_config || return 1
+  #rm -f ${pkgdir}/usr/include/*
+  find ${pkgdir}/usr/include -maxdepth 1 -type f -execdir rm {} + || return 1
+  rm -f ${pkgdir}/usr/bin/pg_config || return 1
   
   # Maintaining the lib below because of qt
-  #rm -f $startdir/pkg/usr/lib/libpgport.a || return 1
+  #rm -f ${pkgdir}/usr/lib/libpgport.a || return 1
 
   # install launch script
-  install -D -m755 ../postgresql $startdir/pkg/etc/rc.d/postgresql \
+  install -D -m755 ../postgresql ${pkgdir}/etc/rc.d/postgresql \
   	|| return 1
 
   # install license
-  install -D -m644 COPYRIGHT $startdir/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
+  install -D -m644 COPYRIGHT ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
 
   # install conf file
-  install -D -m644 $startdir/src/postgresql.confd \
-    $startdir/pkg/etc/conf.d/postgresql || return 1
+  install -D -m644 ${srcdir}/postgresql.confd \
+    ${pkgdir}/etc/conf.d/postgresql || return 1
 
-  install -D -m644 $startdir/src/postgresql.pam \
-    $startdir/pkg/etc/pam.d/postgresql
+  install -D -m644 ${srcdir}/postgresql.pam \
+    ${pkgdir}/etc/pam.d/postgresql
 
-  chown root:root $startdir/pkg/usr/share/doc/postgresql/html/*
+  chown root:root ${pkgdir}/usr/share/doc/postgresql/html/*
 }
 md5sums=('d738227e2f1f742d2f2d4ab56496c5c6'
-         '7d8ea2abb6a8cdacf35604bda659a34a'
-         'df6ddf9e2ab4700a3415f17c0f4f4172'
+         '2c9a8bf7942b627931e3242daa6c58d4'
+         'd63a05943cf0a2726aa2070f3033c569'
          '4d74f4227dc5e12bf95b3490758d86c9'
          '96f82c38f3f540b53f3e5144900acf17')

Modified: extra-x86_64/postgresql
===================================================================
--- extra-x86_64/postgresql	2010-02-11 00:02:45 UTC (rev 68142)
+++ extra-x86_64/postgresql	2010-02-11 00:03:00 UTC (rev 68143)
@@ -21,7 +21,7 @@
     fi
     if [ ! -d $PGROOT ]; then
       mkdir -p $PGROOT/data && chown postgres.postgres $PGROOT/data
-      su - postgres -c "/usr/bin/initdb -D $PGROOT/data"
+      su - postgres -c "/usr/bin/initdb $INITOPTS -D $PGROOT/data"
     fi
     if [ ! -e /var/log/postgresql.log ]; then
       touch /var/log/postgresql.log

Modified: extra-x86_64/postgresql.confd
===================================================================
--- extra-x86_64/postgresql.confd	2010-02-11 00:02:45 UTC (rev 68142)
+++ extra-x86_64/postgresql.confd	2010-02-11 00:03:00 UTC (rev 68143)
@@ -1,4 +1,5 @@
 #
 # Parameters to be passed to postgresql
 #
-PGROOT="/var/lib/postgres"
\ No newline at end of file
+PGROOT="/var/lib/postgres"
+INITOPTS="--locale $LANG"




More information about the arch-commits mailing list